SearchFAQMemberlist Log in
Reply to topic Page 1 of 1
bacula on ubuntu (why so much software to install?)
Author Message
Post bacula on ubuntu (why so much software to install?) 
Hi gang,

I would like to try out Bacula and I intend to run it on Ubuntu Linux
(7.04).

I notice that when I go to install the Ubuntu metapackage 'bacula' it
wants to install hundreds of MBs of software.

This is what I see when I do a test install command:

The following NEW packages will be installed:
akregator amor ark arts artsbuilder atlantik atlantikdesigner
autoconf automake1.9 autotools-dev bacula bacula-client bacula-common
bacula-console bacula-director-common bacula-director-sqlite3
bacula-fd bacula-sd bacula-sd-mysql bacula-server bacula-traymonitor
blinken cervisia comerr-dev cvs dcoprss dirmngr docbook-defguide
edict enscript eyesapplet fifteenapplet flac gawk gettext-kde
gnupg-agent gnupg2 gpgsm hspell imagemagick juk kaboodle kaddressbook
kaddressbook-plugins kalarm kalzium kalzium-data kamera kanagram
kandy kanjidic kappfinder karm kasteroids kate kate-plugins katomic
kaudiocreator kbackgammon kbattleship kblackbox kbounce kbruch
kbstate kcalc kcharselect kcoloredit kcontrol kcron kdat kde
kde-amusements kde-core kde-icons-mono kdeaccessibility kdeaddons
kdeaddons-kfile-plugins kdeadmin kdeadmin-kfile-plugins kdeartwork
kdeartwork-emoticons kdeartwork-misc kdeartwork-style
kdeartwork-theme-icon kdeartwork-theme-window kdebase kdebase-bin
kdebase-data kdebase-kio-plugins kdeedu kdeedu-data kdegames
kdegames-card-data kdegraphics kdegraphics-kfile-plugins kdelibs
kdelibs-data kdelibs4-dev kdelibs4c2a kdelirc kdemultimedia
kdemultimedia-dev kdemultimedia-kappfinder-data
kdemultimedia-kfile-plugins kdemultimedia-kio-plugins kdenetwork
kdenetwork-filesharing
kdenetwork-kfile-plugins kdepasswd kdepim kdepim-kfile-plugins
kdepim-kio-plugins kdepim-kresources kdepim-wizards kdeprint
kdesdk-scripts kdesktop kdessh kdetoys kdeutils kdewallpapers
kdewebdev kdf kdict kdm kdnssd kdvi kedit keduca kenolaba kfax kfaxview

kfilereplace kfind kfloppy kfouleggs kgamma kget kghostview
kgoldrunner kgpg khangman khelpcenter khexedit kicker kicker-applets
kiconedit kig kimagemapeditor kitchensync kiten kjots kjumpingcube
klaptopdaemon klatin kleopatra klettres klettres-data klickety klines
klinkstatus klipper kmag kmahjongg kmail kmailcvt kmenuedit kmid
kmilo kmines kmix kmoon kmousetool kmouth kmplot kmrml knetwalk
knetworkconf knewsticker knewsticker-scripts knode knotes kodo kolf
kolourpaint kommander kompare konq-plugins konqueror
konqueror-nsplugins konquest konsole konsolekalendar kontact kooka
kopete korganizer korn kpackage kpager kpat kpdf kpercentage
kpersonalizer kpf kpilot kpoker kpovmodeler kppp krdc krec
kregexpeditor kreversi krfb kruler ksame ksayit kscd kscreensaver
kscreensaver-xsavers kshisen ksig ksim ksirc ksirtet ksmiletris
ksmserver ksnake ksnapshot ksokoban kspaceduel ksplash kstars
kstars-data ksvg ksync ksysguard ksysguardd ksysv ktalkd kteatime
ktimer ktip ktnef ktouch ktron kttsd ktuberling kturtle ktux kuser
kverbos kview kviewshell kvoctrain kwalletmanager kweather
kwifimanager kwin kwin4 kwordquiz kworldclock kxsldbg libacl1-dev
libakode2
libart-2.0-dev libarts1-akode libarts1-audiofile libarts1-dev
libarts1-mpeglib libarts1-xine libarts1c2a libartsc0 libartsc0-dev
libasound2-dev libaspell-dev libattr1-dev libaudio-dev
libaudiofile-dev libavahi-client-dev libavahi-common-dev
libavahi-compat-libdnssd1 libavahi-qt3-1 libavahi-qt3-dev
libboost-python1.33.1 libbz2-dev libconvert-binhex-perl libcupsys2-dev
libcvsservice0 libdb4.3++c2 libdbus-1-dev libdbus-qt-1-1c2
libesd0-dev libexpat1-dev libfinance-quote-perl libfontconfig1-dev
libfreetype6-dev libgcrypt11-dev libgl1-mesa-dev libglib2.0-dev
libglu1-mesa-dev libgnutls-dev libgpg-error-dev libgpgme11
libhtml-tableextract-perl libice-dev libidn11-dev libindex0
libio-socket-ssl-perl libio-stringy-perl libjasper-1.701-dev
libjasper-runtime libjpeg-progs libjpeg62-dev libkadm55 libkcal2b
libkcddb1 libkdeedu3 libkdegames1 libkdepim1a libkgantt0 libkiten1
libkleopatra1 libkmime2 libkonq4 libkpimexchange1 libkpimidentities1
libkrb5-dev libksba8 libkscan1 libksieve0 libktnef1 liblcms1-dev
liblockdev1 liblua50 liblua50-dev liblualib50 liblualib50-dev
liblzo-dev libmailtools-perl libmal1 libmime-perl libmimelib1c2a
libmng-dev libmodplug0c2 libnet-ssleay-perl libnews-nntpclient-perl
libnss-mdns libogg-dev liboggflac3 libopencdk8-dev libopenexr-dev
libopenexr2c2a libpcre3-dev libpcrecpp0 libpng12-dev libpoppler1-qt
libpopt-dev libqt3-compat-headers libqt3-headers libqt3-mt-dev
librss1 libsamplerate0 libsasl2-dev libsm-dev libssl-dev libt1-5
libtasn1-3-dev libtidy-0.99-0 libtiff-tools libtiff4-dev libtiffxx0c2
libtimedate-perl libtunepimp-bin libtunepimp3 libvorbis-dev
libx11-dev libxau-dev libxcomposite1 libxcursor-dev libxdmcp-dev
libxext-dev
libxfixes-dev libxft-dev libxi-dev libxine-extracodecs libxine1
libxinerama-dev libxml2-dev libxmu-dev libxmu-headers libxrandr-dev
libxrender-dev libxslt1-dev libxt-dev libxvmc1 lilo-config lisa lskat
lua50 mesa-common-dev mpeglib mt-st mtx ncompress networkstatus
noatun noatun-plugins ocrad p7zip p7zip-full perl-suid perl-tk
php-doc phpdoc pinentry-curses pinentry-qt poster procmail psutils
qca-tls qt3-dev-tools quanta quanta-data rpm secpolicy superkaramba
talk tetex-base tetex-bin tetex-doc tex-common tidy ttf-dustin
ttf-sjfonts vorbis-tools x11proto-core-dev x11proto-fixes-dev
x11proto-input-dev x11proto-kb-dev x11proto-randr-dev
x11proto-render-dev
x11proto-xext-dev x11proto-xinerama-dev xtrans-dev ytalk zlib1g-dev
zoo

Seems a bit extreme.

For any Ubuntu fans using Bacula, what are the essential packages
required to run Bacula?

Thank you very much for any advice you may have.

Juan

Be smarter than spam. See how smart SpamGuard is at giving junk email the boot with the All-new Yahoo! Mail at http://mrd.mail.yahoo.com/try_beta?.intl=ca

Post bacula on ubuntu (why so much software to install?) 
Attachments: Bajohr.vcf

Juan Miscaro wrote:
Hi gang,

I would like to try out Bacula and I intend to run it on Ubuntu Linux
(7.04).

I notice that when I go to install the Ubuntu metapackage 'bacula' it
wants to install hundreds of MBs of software.

This is what I see when I do a test install command:


The following NEW packages will be installed:
akregator amor ark arts artsbuilder atlantik atlantikdesigner
autoconf automake1.9 autotools-dev bacula bacula-client bacula-common
bacula-console bacula-director-common bacula-director-sqlite3
bacula-fd bacula-sd bacula-sd-mysql bacula-server bacula-traymonitor
blinken cervisia comerr-dev cvs dcoprss dirmngr docbook-defguide
edict enscript eyesapplet fifteenapplet flac gawk gettext-kde
gnupg-agent gnupg2 gpgsm hspell imagemagick juk kaboodle kaddressbook
kaddressbook-plugins kalarm kalzium kalzium-data kamera kanagram
kandy kanjidic kappfinder karm kasteroids kate kate-plugins katomic
kaudiocreator kbackgammon kbattleship kblackbox kbounce kbruch
kbstate kcalc kcharselect kcoloredit kcontrol kcron kdat kde
kde-amusements kde-core kde-icons-mono kdeaccessibility kdeaddons
kdeaddons-kfile-plugins kdeadmin kdeadmin-kfile-plugins kdeartwork
kdeartwork-emoticons kdeartwork-misc kdeartwork-style
kdeartwork-theme-icon kdeartwork-theme-window kdebase kdebase-bin
kdebase-data kdebase-kio-plugins kdeedu kdeedu-data kdegames
kdegames-card-data kdegraphics kdegraphics-kfile-plugins kdelibs
kdelibs-data kdelibs4-dev kdelibs4c2a kdelirc kdemultimedia
kdemultimedia-dev kdemultimedia-kappfinder-data
kdemultimedia-kfile-plugins kdemultimedia-kio-plugins kdenetwork
kdenetwork-filesharing
kdenetwork-kfile-plugins kdepasswd kdepim kdepim-kfile-plugins
kdepim-kio-plugins kdepim-kresources kdepim-wizards kdeprint
kdesdk-scripts kdesktop kdessh kdetoys kdeutils kdewallpapers
kdewebdev kdf kdict kdm kdnssd kdvi kedit keduca kenolaba kfax kfaxview

kfilereplace kfind kfloppy kfouleggs kgamma kget kghostview
kgoldrunner kgpg khangman khelpcenter khexedit kicker kicker-applets
kiconedit kig kimagemapeditor kitchensync kiten kjots kjumpingcube
klaptopdaemon klatin kleopatra klettres klettres-data klickety klines
klinkstatus klipper kmag kmahjongg kmail kmailcvt kmenuedit kmid
kmilo kmines kmix kmoon kmousetool kmouth kmplot kmrml knetwalk
knetworkconf knewsticker knewsticker-scripts knode knotes kodo kolf
kolourpaint kommander kompare konq-plugins konqueror
konqueror-nsplugins konquest konsole konsolekalendar kontact kooka
kopete korganizer korn kpackage kpager kpat kpdf kpercentage
kpersonalizer kpf kpilot kpoker kpovmodeler kppp krdc krec
kregexpeditor kreversi krfb kruler ksame ksayit kscd kscreensaver
kscreensaver-xsavers kshisen ksig ksim ksirc ksirtet ksmiletris
ksmserver ksnake ksnapshot ksokoban kspaceduel ksplash kstars
kstars-data ksvg ksync ksysguard ksysguardd ksysv ktalkd kteatime
ktimer ktip ktnef ktouch ktron kttsd ktuberling kturtle ktux kuser
kverbos kview kviewshell kvoctrain kwalletmanager kweather
kwifimanager kwin kwin4 kwordquiz kworldclock kxsldbg libacl1-dev
libakode2
libart-2.0-dev libarts1-akode libarts1-audiofile libarts1-dev
libarts1-mpeglib libarts1-xine libarts1c2a libartsc0 libartsc0-dev
libasound2-dev libaspell-dev libattr1-dev libaudio-dev
libaudiofile-dev libavahi-client-dev libavahi-common-dev
libavahi-compat-libdnssd1 libavahi-qt3-1 libavahi-qt3-dev
libboost-python1.33.1 libbz2-dev libconvert-binhex-perl libcupsys2-dev
libcvsservice0 libdb4.3++c2 libdbus-1-dev libdbus-qt-1-1c2
libesd0-dev libexpat1-dev libfinance-quote-perl libfontconfig1-dev
libfreetype6-dev libgcrypt11-dev libgl1-mesa-dev libglib2.0-dev
libglu1-mesa-dev libgnutls-dev libgpg-error-dev libgpgme11
libhtml-tableextract-perl libice-dev libidn11-dev libindex0
libio-socket-ssl-perl libio-stringy-perl libjasper-1.701-dev
libjasper-runtime libjpeg-progs libjpeg62-dev libkadm55 libkcal2b
libkcddb1 libkdeedu3 libkdegames1 libkdepim1a libkgantt0 libkiten1
libkleopatra1 libkmime2 libkonq4 libkpimexchange1 libkpimidentities1
libkrb5-dev libksba8 libkscan1 libksieve0 libktnef1 liblcms1-dev
liblockdev1 liblua50 liblua50-dev liblualib50 liblualib50-dev
liblzo-dev libmailtools-perl libmal1 libmime-perl libmimelib1c2a
libmng-dev libmodplug0c2 libnet-ssleay-perl libnews-nntpclient-perl
libnss-mdns libogg-dev liboggflac3 libopencdk8-dev libopenexr-dev
libopenexr2c2a libpcre3-dev libpcrecpp0 libpng12-dev libpoppler1-qt
libpopt-dev libqt3-compat-headers libqt3-headers libqt3-mt-dev
librss1 libsamplerate0 libsasl2-dev libsm-dev libssl-dev libt1-5
libtasn1-3-dev libtidy-0.99-0 libtiff-tools libtiff4-dev libtiffxx0c2
libtimedate-perl libtunepimp-bin libtunepimp3 libvorbis-dev
libx11-dev libxau-dev libxcomposite1 libxcursor-dev libxdmcp-dev
libxext-dev
libxfixes-dev libxft-dev libxi-dev libxine-extracodecs libxine1
libxinerama-dev libxml2-dev libxmu-dev libxmu-headers libxrandr-dev
libxrender-dev libxslt1-dev libxt-dev libxvmc1 lilo-config lisa lskat
lua50 mesa-common-dev mpeglib mt-st mtx ncompress networkstatus
noatun noatun-plugins ocrad p7zip p7zip-full perl-suid perl-tk
php-doc phpdoc pinentry-curses pinentry-qt poster procmail psutils
qca-tls qt3-dev-tools quanta quanta-data rpm secpolicy superkaramba
talk tetex-base tetex-bin tetex-doc tex-common tidy ttf-dustin
ttf-sjfonts vorbis-tools x11proto-core-dev x11proto-fixes-dev
x11proto-input-dev x11proto-kb-dev x11proto-randr-dev
x11proto-render-dev
x11proto-xext-dev x11proto-xinerama-dev xtrans-dev ytalk zlib1g-dev
zoo


Seems a bit extreme.

For any Ubuntu fans using Bacula, what are the essential packages
required to run Bacula?

Thank you very much for any advice you may have.

Juan


Be smarter than spam. See how smart SpamGuard is at giving junk email the boot with the All-new Yahoo! Mail at http://mrd.mail.yahoo.com/try_beta?.intl=ca


-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/
_______________________________________________
Bacula-users mailing list
Bacula-users < at > li...
https://lists.sourceforge.net/lists/listinfo/bacula-users

The package build has a dependency for the kde-desktop.
That is all this stuff.
Building it from scratch by configure will help

hth, marcus

________________________________________________________
Angaben gemäß §37a HGB, §80 Abs. 1 AG und §35a Abs. 1 GmbHG
HADAKON Kommunikations-Systeme GmbH
Walter-Bruch-Straße 1
30982 Pattensen

Geschäftsführer Jens Dürasch
Amtsgericht Hannover HRB 101601
Steuer-Nr. 42/200/02536 USt-IdNr. 115510490

Post bacula on ubuntu (why so much software to install?) 
--- Marcus Bajohr <Bajohr < at > ha...> wrote:

Juan Miscaro wrote:
Hi gang,

I would like to try out Bacula and I intend to run it on Ubuntu
Linux
(7.04).

I notice that when I go to install the Ubuntu metapackage 'bacula'
it
wants to install hundreds of MBs of software.

The package build has a dependency for the kde-desktop.
That is all this stuff.
Building it from scratch by configure will help

But there must be a reason why it needs KDE. It must have some
graphical tool included. Anyway, what are the essential Ubuntu
packages? I do not want to start compiling stuff if I'm running
Ubuntu. If Ubuntu is not possible then I'll probably go for FreeBSD.
I'm sure the FreeBSD port does not force this crap on its users.

Juan

Get a sneak peak at messages with a handy reading pane with All new Yahoo! Mail: http://mrd.mail.yahoo.com/try_beta?.intl=ca

Post bacula on ubuntu (why so much software to install?) 
Attachments: Message as HTML Bajohr.vcf

Post bacula on ubuntu (why so much software to install?) 
Debian package is well splitted with each package for each bacula
component (dir, sd, fd) and spécific package for db backend.

Marcus Bajohr a écrit :
Juan Miscaro wrote:

The package build has a dependency for the kde-desktop.
That is all this stuff.
Building it from scratch by configure will help

But there must be a reason why it needs KDE. It must have some
graphical tool included. Anyway, what are the essential Ubuntu
packages? I do not want to start compiling stuff if I'm running
Ubuntu. If Ubuntu is not possible then I'll probably go for FreeBSD.
I'm sure the FreeBSD port does not force this crap on its users.


Yes, there is a tray applet which you can exclude.
That is why i told you to do the old "configure-make-make install"
way (or rewrite the ubuntu-package
As i am not using one of those all-in-one-Distributions i am not able
tell you how to do that.)

hth, Marcus


________________________________________________________
Angaben gemäß §37a HGB, §80 Abs. 1 AG und §35a Abs. 1 GmbHG
HADAKON Kommunikations-Systeme GmbH
Walter-Bruch-Straße 1
30982 Pattensen

Geschäftsführer Jens Dürasch
Amtsgericht Hannover HRB 101601
Steuer-Nr. 42/200/02536 USt-IdNr. 115510490
-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/
------------------------------------------------------------------------

_______________________________________________
Bacula-users mailing list
Bacula-users < at > li...
https://lists.sourceforge.net/lists/listinfo/bacula-users


--
Adam CECILE Linbox / Free&ALter Soft
152 rue de Grigy tél: +33 3 87 50 87 95
Technopôle Metz 2000 fax: +33 3 87 75 19 26
57070 METZ - France http://www.linbox.com

Post bacula on ubuntu (why so much software to install?) 
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Marcus Bajohr wrote:
Juan Miscaro wrote:

The package build has a dependency for the kde-desktop.
That is all this stuff.
Building it from scratch by configure will help



But there must be a reason why it needs KDE. It must have some
graphical tool included. Anyway, what are the essential Ubuntu
packages? I do not want to start compiling stuff if I'm running
Ubuntu. If Ubuntu is not possible then I'll probably go for FreeBSD.
I'm sure the FreeBSD port does not force this crap on its users.


Yes, there is a tray applet which you can exclude.
That is why i told you to do the old "configure-make-make install" way
(or rewrite the ubuntu-package
As i am not using one of those all-in-one-Distributions i am not able
tell you how to do that.)

Provided the debian/ directory's there and OK, and that you have all the
tools and sources/includes/libs to build Bacula, you can just modify the
dependencies there (in controls or rules, I forget) and run
dpkg-buildpackage to build a new package.

Greetings,
Michel
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)

iD8DBQFGjT2v2Vs+MkscAyURAkVCAJ9InUGaE79qoGP6unwRbbhvV4t7CQCg8VHe
XlcQ6OPK2ZgxYKyXmDZdHyg=
=/h3d
-----END PGP SIGNATURE-----

Post bacula on ubuntu (why so much software to install?) 
* Juan Miscaro schrieb am 05.07.07 um 13:58 Uhr:
Hi gang,

I would like to try out Bacula and I intend to run it on Ubuntu Linux
(7.04).

I notice that when I go to install the Ubuntu metapackage 'bacula' it
wants to install hundreds of MBs of software.

This is what I see when I do a test install command:

[ snip ]


Seems a bit extreme.

For any Ubuntu fans using Bacula, what are the essential packages
required to run Bacula?

Thank you very much for any advice you may have.

Juan


Hi Juan,

just do not install "bacula" but the bacula packages you really need
instead like "bacula-fd", "bacula-console" and so on. Which you need
also depends on what the machine is: just client, storage,
director...

Cheers
-Marc

--
+------------------------------------------------------------------+
| --> http://www.links2linux.de <-- |
| |
+---Registered-Linux-User-#136487------------http://counter.li.org +

Post bacula on ubuntu (why so much software to install?) 
Hi All,

I try to simulate an install for Bacula on Ubuntu Server Feisty and the=20
dependencies is ok.

apt-get install -s bacula
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
bacula-client bacula-director-common bacula-director-sqlite3 bacula-fd
bacula-sd bacula-sd-sqlite3 bacula-server libsqlite3-0 mtx
python2.5 python2.5-minimal sqlite3
Suggested packages:
bacula-doc dds2tar scsitools sg3-utils python2.5-doc python-profiler=20
sqlite3-doc
Recommended packages:
bacula-traymonitor mt-st bacula-sd-tools
The following NEW packages will be installed:
bacula bacula-client bacula-director-common bacula-director-sqlite3=20
bacula-fd bacula-sd bacula-sd-sqlite3 bacula-server libsqlite3-0
mtx python2.5 python2.5-minimal sqlite3

You want to install Bacula on Ubuntu Desktop version?

Regards,

Juan Miscaro a =E9crit :
Hi gang,
=20
I would like to try out Bacula and I intend to run it on Ubuntu Linux
(7.04).
=20
I notice that when I go to install the Ubuntu metapackage 'bacula' it
wants to install hundreds of MBs of software.
=20
This is what I see when I do a test install command:
=20
=20
The following NEW packages will be installed:
akregator amor ark arts artsbuilder atlantik atlangtikdesigner
autoconf automake1.9 autotools-dev bacula bacula-client bacula-common=20
bacula-console bacula-director-common bacula-director-sqlite3
bacula-fd bacula-sd bacula-sd-mysql bacula-server bacula-traymonitor=20
blinken cervisia comerr-dev cvs dcoprss dirmngr docbook-defguide
edict enscript eyesapplet fifteenapplet flac gawk gettext-kde=20
gnupg-agent gnupg2 gpgsm hspell imagemagick juk kaboodle kaddressbook
kaddressbook-plugins kalarm kalzium kalzium-data kamera kanagram=20
kandy kanjidic kappfinder karm kasteroids kate kate-plugins katomic
kaudiocreator kbackgammon kbattleship kblackbox kbounce kbruch=20
kbstate kcalc kcharselect kcoloredit kcontrol kcron kdat kde
kde-amusements kde-core kde-icons-mono kdeaccessibility kdeaddons=20
kdeaddons-kfile-plugins kdeadmin kdeadmin-kfile-plugins kdeartwork
kdeartwork-emoticons kdeartwork-misc kdeartwork-style=20
kdeartwork-theme-icon kdeartwork-theme-window kdebase kdebase-bin
kdebase-data kdebase-kio-plugins kdeedu kdeedu-data kdegames=20
kdegames-card-data kdegraphics kdegraphics-kfile-plugins kdelibs
kdelibs-data kdelibs4-dev kdelibs4c2a kdelirc kdemultimedia=20
kdemultimedia-dev kdemultimedia-kappfinder-data
kdemultimedia-kfile-plugins kdemultimedia-kio-plugins kdenetwork
kdenetwork-filesharing=20
kdenetwork-kfile-plugins kdepasswd kdepim kdepim-kfile-plugins
kdepim-kio-plugins kdepim-kresources kdepim-wizards kdeprint=20
kdesdk-scripts kdesktop kdessh kdetoys kdeutils kdewallpapers
kdewebdev kdf kdict kdm kdnssd kdvi kedit keduca kenolaba kfax kfaxview
=20
kfilereplace kfind kfloppy kfouleggs kgamma kget kghostview
kgoldrunner kgpg khangman khelpcenter khexedit kicker kicker-applets=20
kiconedit kig kimagemapeditor kitchensync kiten kjots kjumpingcube
klaptopdaemon klatin kleopatra klettres klettres-data klickety klines=20
klinkstatus klipper kmag kmahjongg kmail kmailcvt kmenuedit kmid
kmilo kmines kmix kmoon kmousetool kmouth kmplot kmrml knetwalk=20
knetworkconf knewsticker knewsticker-scripts knode knotes kodo kolf
kolourpaint kommander kompare konq-plugins konqueror=20
konqueror-nsplugins konquest konsole konsolekalendar kontact kooka
kopete korganizer korn kpackage kpager kpat kpdf kpercentage=20
kpersonalizer kpf kpilot kpoker kpovmodeler kppp krdc krec
kregexpeditor kreversi krfb kruler ksame ksayit kscd kscreensaver=20
kscreensaver-xsavers kshisen ksig ksim ksirc ksirtet ksmiletris
ksmserver ksnake ksnapshot ksokoban kspaceduel ksplash kstars=20
kstars-data ksvg ksync ksysguard ksysguardd ksysv ktalkd kteatime
ktimer ktip ktnef ktouch ktron kttsd ktuberling kturtle ktux kuser=20
kverbos kview kviewshell kvoctrain kwalletmanager kweather
kwifimanager kwin kwin4 kwordquiz kworldclock kxsldbg libacl1-dev
libakode2=20
libart-2.0-dev libarts1-akode libarts1-audiofile libarts1-dev
libarts1-mpeglib libarts1-xine libarts1c2a libartsc0 libartsc0-dev=20
libasound2-dev libaspell-dev libattr1-dev libaudio-dev
libaudiofile-dev libavahi-client-dev libavahi-common-dev=20
libavahi-compat-libdnssd1 libavahi-qt3-1 libavahi-qt3-dev
libboost-python1.33.1 libbz2-dev libconvert-binhex-perl libcupsys2-dev=20
libcvsservice0 libdb4.3++c2 libdbus-1-dev libdbus-qt-1-1c2
libesd0-dev libexpat1-dev libfinance-quote-perl libfontconfig1-dev=20
libfreetype6-dev libgcrypt11-dev libgl1-mesa-dev libglib2.0-dev
libglu1-mesa-dev libgnutls-dev libgpg-error-dev libgpgme11=20
libhtml-tableextract-perl libice-dev libidn11-dev libindex0
libio-socket-ssl-perl libio-stringy-perl libjasper-1.701-dev=20
libjasper-runtime libjpeg-progs libjpeg62-dev libkadm55 libkcal2b
libkcddb1 libkdeedu3 libkdegames1 libkdepim1a libkgantt0 libkiten1=20
libkleopatra1 libkmime2 libkonq4 libkpimexchange1 libkpimidentities1
libkrb5-dev libksba8 libkscan1 libksieve0 libktnef1 liblcms1-dev=20
liblockdev1 liblua50 liblua50-dev liblualib50 liblualib50-dev
liblzo-dev libmailtools-perl libmal1 libmime-perl libmimelib1c2a=20
libmng-dev libmodplug0c2 libnet-ssleay-perl libnews-nntpclient-perl
libnss-mdns libogg-dev liboggflac3 libopencdk8-dev libopenexr-dev=20
libopenexr2c2a libpcre3-dev libpcrecpp0 libpng12-dev libpoppler1-qt
libpopt-dev libqt3-compat-headers libqt3-headers libqt3-mt-dev=20
librss1 libsamplerate0 libsasl2-dev libsm-dev libssl-dev libt1-5
libtasn1-3-dev libtidy-0.99-0 libtiff-tools libtiff4-dev libtiffxx0c2=20
libtimedate-perl libtunepimp-bin libtunepimp3 libvorbis-dev
libx11-dev libxau-dev libxcomposite1 libxcursor-dev libxdmcp-dev
libxext-dev=20
libxfixes-dev libxft-dev libxi-dev libxine-extracodecs libxine1
libxinerama-dev libxml2-dev libxmu-dev libxmu-headers libxrandr-dev=20
libxrender-dev libxslt1-dev libxt-dev libxvmc1 lilo-config lisa lskat
lua50 mesa-common-dev mpeglib mt-st mtx ncompress networkstatus=20
noatun noatun-plugins ocrad p7zip p7zip-full perl-suid perl-tk
php-doc phpdoc pinentry-curses pinentry-qt poster procmail psutils=20
qca-tls qt3-dev-tools quanta quanta-data rpm secpolicy superkaramba
talk tetex-base tetex-bin tetex-doc tex-common tidy ttf-dustin=20
ttf-sjfonts vorbis-tools x11proto-core-dev x11proto-fixes-dev
x11proto-input-dev x11proto-kb-dev x11proto-randr-dev
x11proto-render-dev=20
x11proto-xext-dev x11proto-xinerama-dev xtrans-dev ytalk zlib1g-dev
zoo=20
=20
=20
Seems a bit extreme.
=20
For any Ubuntu fans using Bacula, what are the essential packages
required to run Bacula?
=20
Thank you very much for any advice you may have.
=20
Juan
=20
=20
Be smarter than spam. See how smart SpamGuard is at giving junk e=
mail the boot with the All-new Yahoo! Mail at http://mrd.mail.yahoo.com/t=
ry_beta?.intl=3Dca
=20
=20
-----------------------------------------------------------------------=
--
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/
_______________________________________________
Bacula-users mailing list
Bacula-users < at > li...
https://lists.sourceforge.net/lists/listinfo/bacula-users

Post bacula on ubuntu (why so much software to install?) 
--- Sysadmin Worldsoft <sysadmin < at > wo...> wrote:


Hi All,

I try to simulate an install for Bacula on Ubuntu Server Feisty and
the
dependencies is ok.

apt-get install -s bacula
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
bacula-client bacula-director-common bacula-director-sqlite3
bacula-fd
bacula-sd bacula-sd-sqlite3 bacula-server libsqlite3-0 mtx
python2.5 python2.5-minimal sqlite3
Suggested packages:
bacula-doc dds2tar scsitools sg3-utils python2.5-doc
python-profiler
sqlite3-doc
Recommended packages:
bacula-traymonitor mt-st bacula-sd-tools
The following NEW packages will be installed:
bacula bacula-client bacula-director-common
bacula-director-sqlite3
bacula-fd bacula-sd bacula-sd-sqlite3 bacula-server libsqlite3-0
mtx python2.5 python2.5-minimal sqlite3


You want to install Bacula on Ubuntu Desktop version?

Yes, because the intended user wanted a GUI. However, the target
machine ended up not being equipped with enough resources to do that so
my second option is to go without one. You say the Ubuntu Server
edition has different dependencies for the bacula metapackage? That's
interesting.

Juan

Be smarter than spam. See how smart SpamGuard is at giving junk email the boot with the All-new Yahoo! Mail at http://mrd.mail.yahoo.com/try_beta?.intl=ca

Post bacula on ubuntu (why so much software to install?) 
Just do:
apt-get install bacula-director-mysql bacula-fd bacula-sd bacula-console

That will install the base without the GUI that requires KDE. This works on
Debian, I would guess that it works on Ubuntu as well.

Robert LeBlanc

On 7/6/07 5:43 AM, "Juan Miscaro" <scry_mr < at > ya...> wrote:


--- Sysadmin Worldsoft <sysadmin < at > wo...> wrote:


Hi All,

I try to simulate an install for Bacula on Ubuntu Server Feisty and
the
dependencies is ok.

apt-get install -s bacula
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
bacula-client bacula-director-common bacula-director-sqlite3
bacula-fd
bacula-sd bacula-sd-sqlite3 bacula-server libsqlite3-0 mtx
python2.5 python2.5-minimal sqlite3
Suggested packages:
bacula-doc dds2tar scsitools sg3-utils python2.5-doc
python-profiler
sqlite3-doc
Recommended packages:
bacula-traymonitor mt-st bacula-sd-tools
The following NEW packages will be installed:
bacula bacula-client bacula-director-common
bacula-director-sqlite3
bacula-fd bacula-sd bacula-sd-sqlite3 bacula-server libsqlite3-0
mtx python2.5 python2.5-minimal sqlite3


You want to install Bacula on Ubuntu Desktop version?

Yes, because the intended user wanted a GUI. However, the target
machine ended up not being equipped with enough resources to do that so
my second option is to go without one. You say the Ubuntu Server
edition has different dependencies for the bacula metapackage? That's
interesting.

Juan


Be smarter than spam. See how smart SpamGuard is at giving junk email
the boot with the All-new Yahoo! Mail at
http://mrd.mail.yahoo.com/try_beta?.intl=ca


-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/
_______________________________________________
Bacula-users mailing list
Bacula-users < at > li...
https://lists.sourceforge.net/lists/listinfo/bacula-users


Robert LeBlanc
BioAg Computer Support
Brigham Young University
leblanc < at > by...
(801)422-1882

Post bacula on ubuntu (why so much software to install?) 
Yes it's should works for Ubuntu too. If you specify the specific=20
package then only dependencies and specified package will be installed.

Regards,

Robert LeBlanc a =E9crit :
Just do:
apt-get install bacula-director-mysql bacula-fd bacula-sd bacula-consol=
e
=20

Post bacula on ubuntu (why so much software to install?) 
On Fri, July 6, 2007 3:07 pm, Robert LeBlanc wrote:
Just do:
apt-get install bacula-director-mysql bacula-fd bacula-sd bacula-console

That will install the base without the GUI that requires KDE. This works
on
Debian, I would guess that it works on Ubuntu as well.

Incidentally, what version of Bacula is that? As I understand it, only
1.38 is available as deb packages. I'm planning to build a Ubuntu LAMP
server, but if only 1.38 is available, I'd rather build Bacula from
source.

Regards,
Malcolm
--
Web Development, Technical Copy-Editing & Proofreading

KDE Proofreading Team
KDE British English Translation Team

http://l10n.kde.org/team-infos.php?teamcode=en_GB

Post bacula on ubuntu (why so much software to install?) 
I'm running Debian Lenny on my SD/DIR with version 2.0.3-4 and I was running
a server with Etch running version 1.38.11-8. That machine's hardware is
being upgraded so it's been down for a while.

Robert

On 7/6/07 9:20 AM, "Malcolm Hunter" <malcolm.hunter < at > gm...> wrote:


On Fri, July 6, 2007 3:07 pm, Robert LeBlanc wrote:
Just do:
apt-get install bacula-director-mysql bacula-fd bacula-sd bacula-console

That will install the base without the GUI that requires KDE. This works
on
Debian, I would guess that it works on Ubuntu as well.

Incidentally, what version of Bacula is that? As I understand it, only
1.38 is available as deb packages. I'm planning to build a Ubuntu LAMP
server, but if only 1.38 is available, I'd rather build Bacula from
source.

Regards,
Malcolm

Robert LeBlanc
BioAg Computer Support
Brigham Young University
leblanc < at > by...
(801)422-1882

Display posts from previous:
Reply to topic Page 1 of 1
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
  


Magic SEO URL for phpBB